Update Service Request: Entrata
https://api.propexo.com/v1/service-requests/entrata/:service_request_id| Method |
|---|
| maintenance/updateWorkOrders |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the service request
Request
This endpoint expects an object.
The Propexo unique identifier for the service request category
The Propexo unique identifier for the service request priority
The Propexo unique identifier for the service request location
The Propexo unique identifier for the service request problem
A description of the service request
Primary phone number associated with the service request
Secondary phone number associated with the service request
The primary email address associated with the service request
The scheduled start date associated with the request.
The due date associated with the service request
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the service request
The Propexo unique identifier for the service request category
The Propexo unique identifier for the service request priority
The Propexo unique identifier for the service request location
The Propexo unique identifier for the service request problem
A description of the service request
Primary phone number associated with the service request
Secondary phone number associated with the service request
The primary email address associated with the service request
The scheduled start date associated with the request.
The due date associated with the service request
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/service-requests/entrata/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_description": "string",
"phone_1": "string",
"phone_2": "string",
"email_1": "string",
"scheduled_start_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_description": "string",
"phone_1": "string",
"phone_2": "string",
"email_1": "string",
"scheduled_start_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z"
}
}